当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 分享一些经验 可以全屏看视频在线。
帖子发表于 : 2007-12-11 3:30 
头像

注册: 2007-12-06 16:01
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
这是我 第二次安装flash0。0了
我的 ubuntu7.1 。由于第一次安装flash9 造成了 ff经常性的关闭。找了很多方法没有找到。所以我第二次安装ubuntu。我是 才用硬盘安装。安装顺序如下。
1。先升级源 采用的 99 的源了。
再用 sudo apt-get install update 时 还没问题
当 sudo apt-get dist-upgrade 出现这样的错误
dpkg:处理 openoffice.org-java-common (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-style-human 的配置工作不能继续:
openoffice.org-style-human 依赖于 openoffice.org-common (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-common 还没有被配置。
dpkg:处理 openoffice.org-style-human (--configure)时出错:
依赖关系问题 - 仍未被配置
正在设置 libmono-system2.0-cil (1.2.4-6ubuntu6.1) ...
正在设置 libmono-sharpzip2.84-cil (1.2.4-6ubuntu6.1) ...
正在设置 perl-modules (5.8.8-7ubuntu3.1) ...
正在设置 cupsys (1.3.2-1ubuntu7.2) ...
正在安装新版本的配置文件 /etc/apparmor.d/usr.sbin.cupsd ...
Reloading AppArmor profiles : done.
* Starting Common Unix Printing System: cupsd [ OK ]

正在设置 hplip (2.7.7.dfsg.1-0ubuntu5.1) ...
Creating/updating hplip user account...

正在设置 libgnome-window-settings1 (1:2.20.1-0ubuntu1) ...

正在设置 gnome-control-center (1:2.20.1-0ubuntu1) ...

正在设置 compiz-gnome (1:0.6.2+git20071119-0ubuntu1~gutsy1) ...

正在设置 compiz (1:0.6.2+git20071119-0ubuntu1~gutsy1) ...
正在设置 gnome-session (2.20.1-0ubuntu1) ...

正在设置 gnome-panel (1:2.20.1-0ubuntu1) ...

正在设置 libmono-security2.0-cil (1.2.4-6ubuntu6.1) ...
正在设置 libmono-data-tds2.0-cil (1.2.4-6ubuntu6.1) ...
正在设置 libmono-system-data2.0-cil (1.2.4-6ubuntu6.1) ...
正在设置 libmono-sqlite2.0-cil (1.2.4-6ubuntu6.1) ...
正在设置 libmono-system-web2.0-cil (1.2.4-6ubuntu6.1) ...
正在设置 libmono2.0-cil (1.2.4-6ubuntu6.1) ...
正在设置 tomboy (0.8.1-0ubuntu1) ...

正在设置 perl (5.8.8-7ubuntu3.1) ...

正在设置 gnome-system-tools (2.20.0-0ubuntu2) ...

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
在处理时有错误发生:
ttf-opensymbol
openoffice.org-core
openoffice.org-calc
python-uno
openoffice.org-writer
openoffice.org-draw
openoffice.org-impress
openoffice.org-base
openoffice.org-gtk
openoffice.org-gnome
openoffice.org-evolution
openoffice.org-math
openoffice.org
openoffice.org-common
openoffice.org-java-common
openoffice.org-style-human
E: Sub-process /usr/bin/dpkg returned an error code (1)
查看帖子后 :sudo fc-cache -fv 2>&1 | grep failed | cut -f1 -d":" | xargs -i sudo touch {} && sudo fc-cache -fv
基本解决 但还有问题 。不 知如何解决。

2。先装输入法 系统默认的 scim
采用的 是wiki里的
$sudo apt-get install scim scim-modules-socket scim-modules-table scim-pinyin scim-tables-zh scim-gtk2-immodule scim-qtimm
$sudo im-switch -s scim(这 步提示没有im-switch命令 sudo apt-get install im-switch

可以通过安装 scim-bridge 解决 scim 冲突的问题:

$sudo apt-get install scim-bridge-agent (我想这个应该 是很重要的 。可能解决掉跟ff有冲突的 问题。

然後编辑 /etc/X11/xinit/xinput.d/scim,更改下面的参数

GTK_IM_MODULE="scim-bridge"
QT_IM_MODULE="xim"

为了能在英文环境下用到scim还要进行
编辑 /etc/gtk-2.0/gtk.immodules(如果存在的话)
7.10版本编辑的是 这个 :
/usr/lib/gtk-2.0/2.10.0/immodule-files.d/libgtk2.0-0.immodules 文件,在xim 的 local 增加 en 也就是说:

"xim" "X Input Method" "gtk20" "/usr/share/locale" "ko:ja:th:zh"

改成

"xim" "X Input Method" "gtk20" "/usr/share/locale" "en:ko:ja:th:zh"

保存退出,重启後再进就ok了。

下面就是安装flsh9
我用的是官方的 软件包。
默认下载到 /tmp/下
tar zxvf install_flash_player_9_linux.tar.gz
会 解压出一个文件名是 install_flash_player_9
进入
cd /tmp/install_flash_player_9
用ls命令可以看 到里面有两个文件
flashplayer-installer libflashplayer.so
其中有个文件很重要 libflashplayer.so 在网上查资料说 这个文件决定着flash9 正常的工作。
要把这个文件 拷贝到两个目录
sudo cp libflashplayer.so /home/lh/.mozilla/plugins/ 请注意 /lh是 我的家目录 也就是装系统时让你起的用户名。有的文章~/方式来表明是家目录 对 我这个菜鸟来说一开始不 知道~/代表什么。呵呵 见笑了。
sudo cp libflashplayer.so /usr/lib/mozilla/plugins/
这里有个疑问了再我昨天安装时没有进行这步。过程记不太情了。是个台湾ubuntu 上发表的关于amd64位的 解决方法。
他的方法是安装:
apt-get install ia32-libs ia32-libs-gtk linux32 lib32asound2
后来我 因为自己的不是64位就没有继续照着作下去了。不知道有没有起作用 。昨天没有安装没有
下面就是安装 install_flash_player_9
cd /tmp/install_flash_player_9
./flashplayer-installer

时提示 Adobe Flash Player 9 will be installed on this machine.

You are running the Adobe Flash Player installer as a non-root user.
Adobe Flash Player 9 will be installed in your home directory.

Support is available at http://www.adobe.com/support/flashplayer/

To install Adobe Flash Player 9 now, press ENTER.

To cancel the installation at any time, press Control-C.



NOTE: Please exit any browsers you may have running.

Press ENTER to continue...





----------- Install Action Summary -----------

Adobe Flash Player 9 will be installed in the following directory:

Mozilla installation directory = /home/lh/.mozilla

Proceed with the installation? (y/n/q): y

NOTE: Please ask your administrator to remove the xpti.dat from the
components directory of the Mozilla or Netscape browser.


Installation complete.
Perform another installation? (y/n): y在这我选的是 n
下面我没有进行make 和 make install
我想我的安装并没有 安装完成 但是我 却能在网上看在线视频 我 测试在优酷比较流畅。而且可以是 全屏呢。这我不会抓凭 所以我法给大家一个图。这个只是我 一个 菜鸟的一点点经验。希望能对和我一样的人一点帮助 。有不 正确确的请高人赐教。我所能作的现在也就是这些了。保证了 ff全屏 和不跟scim冲突(造成访问含有flash 就关闭的) 。至于里面的很多不 知道的地方和错误 或许我的rp好 误打误撞到了。以后了解了也许就知道了。



在测试时 发现同时开开两个视频在线时会有提示。不过把那个提示关闭就可以 了。


_________________
从新来过,前面的路不 知在何方。嘴是用来吃饭的 不是来亲嘴点


http://lh5201414.blog.ubuntu.org.cn/


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-12-11 8:11 
头像

注册: 2007-10-21 18:36
帖子: 3235
地址: 汕头/广东/中国
送出感谢: 2
接收感谢: 3
顶一下!一直不知道哦64位的如何安装FLASH


_________________
老子的哲学是“”,庄子的哲学是“
人有一技在身,则逍遥游而无不为


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-12-11 8:25 
头像

注册: 2007-10-21 18:36
帖子: 3235
地址: 汕头/广东/中国
送出感谢: 2
接收感谢: 3
按照台湾的说法,装那个linux32会引起冲突,把其他重要软件删除了


_________________
老子的哲学是“”,庄子的哲学是“
人有一技在身,则逍遥游而无不为


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-12-11 8:29 
头像

注册: 2007-10-21 18:36
帖子: 3235
地址: 汕头/广东/中国
送出感谢: 2
接收感谢: 3
ERROR: Your architecture, \'x86_64\', is not supported by the
Adobe Flash Player installer.


_________________
老子的哲学是“”,庄子的哲学是“
人有一技在身,则逍遥游而无不为


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-12-11 10:37 

注册: 2006-12-07 21:40
帖子: 392
送出感谢: 0 次
接收感谢: 2
论坛里有位朋友提供的新版flashplayer 9.0可以实现全屏播放,其实安装没这么复杂,解压后进入目录./flashplayer-installer 就可以了,只是要注意自己firefox的安装目录,一般系统自带的是/usr/lib/firefox。如果是自己安装的firefox就填自己安装的目录


_________________
win 8.1 /mac osx 10.9.1 /opensuse 13.2
E3-1230 v2
技嘉 b75-d3v
4G ddr3 1600
Radeon HD 6850
Realtek 8168 /Realtek ALC887
HD1:Susamg ssd 840 evo 120G
efi 512m/msr128m/win8 sys 50G/mac os 50G/opensuse 14G
HD2:希捷1T


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-12-11 12:12 
头像

注册: 2007-12-06 16:01
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
看到有人热情的回帖我很 激动。我没有用到论坛里面那个朋友提供的flash插件。我 看到的 一个帖子他里面讲的是只要把这个文件 libflashplayer.so 拷贝到/usr/lib/mozilla/plugins/ 里就可以 实现全屏。我拷贝到两个目录 所以 无法证实了。我给一些网址 想看的 朋友可以看下。
http://vvoody.org/blog/他 这里面有段话说的很清楚 虽然不是针对ff 的 但原理应该是一样的。
引用 :
“浏览器里能显示Flash是因为有libflashplayer.so(就这个东西)的原因,在pluginpath.ini里添加 /usr/lib/firefox/plugins=1的目的就是指向这个路径,寻找libflashplayer.so。可是我这次在 /usr/lib/firefox/plugins文件夹里竟然没有发现libflashplayer.so,而FF也能正常工作。我又到 /usr/lib/mozilla/plugins找,还是没有这个.so。后来在ghost0的提醒下在~/.mozilla/plugins里找到了 libflashplayer.so。于是我再添加了~/.mozilla/plugins=1,OK,Opera终于显示Flash拉:)”
2 。昨晚写这个还匆忙了原因是时间 太晚了。这个想法跟我想的差不多。我没有完全安装flash9 但它能播放。原因应该就在libflashplayer.so 文件上。引用:http://bbs.deepin.org/simple/index.php?t474603.html
内容如下:

1,下载插件install_flash_player_9_linux.tar.gz
url是:fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz

2,解压
打开一个控制台窗口,进入解开后的目录,执行

  sudo ./flashplayer-installer

  安装程序会提示你关闭打开的浏览器,然后问你要安在什么地方。

  回答/usr/lib/firefox就行。


  问你要不要继续安装,不要。(这里我没有弄明白为什么没有继续安装下去 就可以 目前的 正常的使用了。)

  你会发现/usr/lib/firefox/plugins下面多了一个叫libflashplayer.so的东西,安装程序干的就是这个事情。

  好了。

3 这个 也比较清晰的说明了。http://blog.pixnet.net/lioli0/post/11048563

手动下载Flash安装包及升级包
安装包:
网址:http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash
直接下载:
http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
升级包:
网址:http://labs.adobe.com/downloads/flashplayer9.html
直接下载:
http://download.macromedia.com/pub/labs ... 107.tar.gz
网速龟样…不知道是不是我网速的问题….
解压安装FlashPlayer–具体安装就不说了,
然后将下载的升级包解压..复制libflashplayer.so覆盖到 /usr/lib/mozilla/plugins即可。


_________________
从新来过,前面的路不 知在何方。嘴是用来吃饭的 不是来亲嘴点


http://lh5201414.blog.ubuntu.org.cn/


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-12-11 12:13 
头像

注册: 2007-07-11 20:59
帖子: 3922
送出感谢: 0 次
接收感谢: 0 次
装一个新版的FLASH插件就OK了呀!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译